Blackbaud Grantmaking

System Requirements

System requirements are subject to change. Please ensure you have the latest information before making any purchase decisions. If you are running any other Blackbaud products, please refer to the System Requirements for those products separately.

Last updated: May 26, 2020

Browser supported versions

Operating system

Our recommended browser is IE11 for Windows.

The latest versions of Safari and Firefox no longer support the Silverlight plugin, which is required for Blackbaud Grantmaking Classic View.

The last versions to support Silverlight are Safari 11 and Firefox ESR 52. We recommend that users who need to access Blackbaud Grantmaking from a Mac computer consult with your IT Administrator about the best way to access Blackbaud Grantmaking from a browser with Silverlight enabled.

For more information on using Blackbaud Grantmaking with Firefox or Safari, see this knowledgebase article.

 

Other software requirements

Accounting software

The Accounts payable module is compatible with:

  • Great Plains
  • Quickbooks (using the 2006/2007 Import/Export format
Microsoft office

Business or Professional Edition 2010, 2013, 2016 (must be locally installed)

Internet Explorer compatibility info

Document check in/check out

You can check in, check out, and edit documents from your browser using the SharePoint add-on in IE.

Document template manager

Blackbaud Grantmaking users can use the Document Template Manager (DTM) feature to create and maintain their own correspondence templates.